#!/bin/bash

. ../lib.sh

git --version | grep 'git version 1.7' && skip_test

repo=`mktemp -d`
output=`mktemp`

prepare_input input $repo/input
git init $repo
git -C $repo config user.email "clime@redhat.com"
git -C $repo config user.name "clime"

touch output && cp output $output

echo 1 > $repo/cookie

function custom_test {
    declare out= "$@"
    local source_name=foo.tar.gz
    local dir_name=foo

    run "tar -C $out -xf $out/$source_name || die"
    run "diff $out/$dir_name/cookie $repo/cookie || die"
}

generic_test opts='' path=$repo input=$repo/input expected_output=$output expected_log=log custom_test=custom_test copy_only=$1

rm -rf $repo
rm $output
